#ifndef RANDOMHANDLER_HPP_INCLUDED
#define RANDOMHANDLER_HPP_INCLUDED

#include "../../Core/Types/Counter.hpp"
#include "../../Core/Types/Countdown.hpp"
#include <cstdint>

class RandomHandler
{
    public:
        static void SetCheckDelay(std::int64_t Time);
        static Countdown GetCheckCountdown();
        static Counter GetRandomsCounter();
        static bool Check();
};

#endif // RANDOMHANDLER_HPP_INCLUDED
